Redmine - Feature #41910

Bold current user's name in Assignee and Author columns on issues list
2024-11-30 10:26 - pasquale [:dedalus]

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 6.1.0

Resolution: Fixed

Description

It would be a nice improvement on the Ul side if, in each query (custom or not), the issues assigned to me were highlighted with bold
text. This would add a better glance when viewing queries. This feature is available for example in the purplemine2 theme here
https://github.com/mrliptontea/PurpleMine2

Associated revisions

Revision 23406 - 2024-12-12 04:55 - Go MAEDA

Bold current user's name in Assignee and Author columns on issues list (#41910).

Patch by Go MAEDA (user:maeda).

History

#1 - 2024-12-08 10:44 - Go MAEDA
- File clipboard-202412081841-hguus.png added

Thank you for your suggestion. Instead of highlighting the entire issue row, | propose bolding only the Assignee field for issues assigned to the user
and the Author field for issues created by the user. This approach offers several advantages:

1. Clearer Meaning:
Highlighting specific fields avoids confusion about why an issue is emphasized, unlike bolding the entire row, which might imply higher priority.

2. Cleaner Ul:
By focusing on relevant fields, the interface remains visually balanced.

clipboard-202412081841-hguus.png

diff --git a/app/assets/stylesheets/application.css b/app/assets/stylesheets/application.css
index 1c9595172..689a6323a 100644

-—— a/app/assets/stylesheets/application.css

+++ b/app/assets/stylesheets/application.css

@@ -372,6 +372,9 @@ tr.issue td.relations { text-align: left; }

tr.issue td.done_ratio table.progress { margin-left:auto; margin-right: auto;}

tr.issue td.relations span, tr.issue td.watcher_users a {white-space: nowrap;}

tr.issue td.watcher_users ul {list-style: none; padding: 0; margin: 0}
+tr.issue.created-by-me td.author {font-weight: bold;}

+tr.issue.assigned-to-me td.assigned_to {font-weight: bold;}

+tr.issue.assigned-to-my-group td.assigned_to {font-weight: bold;}

table.issues td.block_column {color:#777; font-size:90%; padding:4px 4px 4px 24px; text-align:left; white-spa
ce:normal; }

table.issues td.block_column>span {font-weight: bold; display: block; margin-bottom: 4px;}
table.issues td.block_column>pre {white-space:normal;}

#2 - 2024-12-08 12:39 - pasquale [:dedalus]
Hi Go MAEDA | totally agree with you.
Thanks!

#3 - 2024-12-09 00:35 - Go MAEDA

- Target version set to 6.1.0

Setting the target version to 6.1.0.
https://github.com/mrliptontea/PurpleMine2
https://www.redmine.org/users/332

#4 - 2024-12-10 10:33 - Go MAEDA

- Subject changed from [UX] Default theme: make bold the text in custom queries list when an issue is assigned to me to Bold current user's name in

Assignee and Author columns on issues list

#5 - 2024-12-12 04:56 - Go MAEDA
- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch in r23406.

Files

clipboard-202412081841-hguus.png 70.8 KB

2025-05-01

2024-12-08

Go MAEDA

22


https://www.redmine.org/projects/redmine/repository/svn/revisions/23406
http://www.tcpdf.org

